// 光スペクトル分析（吸光度）
// ＲＣサーボと積分型電流測定（照度センサ）

#include <Servo.h>

Servo mangle;
int SENSE = 12;
int ZEROADJ = 13;

void setup()
{
  pinMode( SENSE, OUTPUT );
  pinMode( ZEROADJ, OUTPUT );
  digitalWrite( SENSE, LOW );
  digitalWrite( ZEROADJ, HIGH );
  mangle.attach(10);
  Serial.begin(9600);
}

void loop()
{
  int i, j, dark, s;
  for( i = 140; i >= 30; i -- ) {
  digitalWrite( ZEROADJ, HIGH );
//    mangle.write( i );
    mangle.write( i );
    delay( 300 );
    dark = analogRead( 0 );  // read dark level
//    noInterrupts();
    digitalWrite( SENSE, HIGH );  // sampling
    digitalWrite( ZEROADJ, LOW );
//    for( j = 0; j < 10000; j ++ ) { // wait loop
//      digitalRead( 0 );
//    } 
    delay( 350 );
    digitalWrite( SENSE, LOW );
    s = analogRead( 0 );  // read sense level
    interrupts();
    Serial.print( i );
    Serial.print( ',' );
    Serial.print( dark );
    Serial.print( ',' );
    Serial.println( s );
  }
//  delay( 1000 );
  for( ; ; ) ;
}

